diff artifacts/contrib/flush_cache.sh @ 7730:e1b831fe435a slt-simplify-cross-sections

Merged default into slt-simplify-cross-sections branch and updated package and class names.
author Tom Gottfried <tom@intevation.de>
date Mon, 20 Jan 2014 14:04:20 +0100
parents 5aa05a7a34b7
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/artifacts/contrib/flush_cache.sh	Mon Jan 20 14:04:20 2014 +0100
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ $# != 2 ]; then
+    echo "usage $0 <artifact-server-port> <cachename>"
+    echo "    cachename is the name of the cache defined in conf/caches.xml"
+    echo "    for example: $0 12123 datacage.db"
+    exit 1
+fi
+
+curl -d @- http://localhost:$1/service/cache-invalidation << EOF 
+<?xml version="1.0" ?>
+<caches>
+  <cache name="$2"/>
+</caches>
+EOF

http://dive4elements.wald.intevation.org